Temso Docs
API referenceAnalytics

Get Prompt Brand Rankings

Returns per-brand visibility, mention order, mentions, and share of voice grouped by prompt. The project's own brand is always included alongside the requested competitors.

GET
/projects/{projectId}/analytics/prompt-brand-rankings

Returns per-brand visibility, mention order, mentions, and share of voice grouped by prompt. The project's own brand is always included alongside the requested competitors.

Path Parameters

projectId*string

Project ID (see List Projects)

Query Parameters

filter*
page?integer

Page number (1-indexed, default: 1)

Default1
Range1 <= value
limit?integer

Items per page (default: 50, max: 1000)

Default50
Range1 <= value <= 1000

Response Body

application/json

curl -X GET "https://example.com/projects/string/analytics/prompt-brand-rankings?filter%5BstartDate%5D=2026-01-01&filter%5BendDate%5D=2026-03-19&filter%5Blanguages%5D=en%2Cde&filter%5Bcountries%5D=US%2CDE&filter%5Bmodels%5D=microsoft%2Fcopilot-search%2Cgoogle%2Fai-overview%2Cgoogle%2Fai-mode%2Cperplexity%2Fsearch%2Cgemini%2Fsearch%2Copenai%2Fchatgpt&filter%5BpromptTypes%5D=informational%2Cnavigational&filter%5BisBranded%5D=true&filter%5BpersonaIds%5D=string&filter%5BofferingIds%5D=string&filter%5BpromptTagIds%5D=string&filter%5BcompetitorBrandIds%5D=string&filter%5BpromptIds%5D=string&filter%5BcompetitorLeadsBy%5D=visibility"
{
  "data": [
    {
      "promptId": "string",
      "prompt": "string",
      "language": "string",
      "country": "string",
      "totalResponses": 0,
      "brands": [
        {
          "brandId": "string",
          "brandName": "string",
          "isOwnBrand": true,
          "avgPresence": 0,
          "avgPosition": 0,
          "totalMentions": 0,
          "shareOfVoice": 0
        }
      ]
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0,
    "total": 0
  }
}